#
# Conditional build:
%bcond_without	tests	# don't perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Digest
%define		pnam	MD2
Summary:	Digest::MD2 - MD2 digest algorithm implementation
Summary(pl.UTF-8):	Digest::MD2 - implementacja algorytmu skrótu MD2
Name:		perl-Digest-MD2
Version:	2.03
Release:	10
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Digest/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	feecf9faa1b0a499a48fce214a309a78
URL:		http://search.cpan.org/dist/Digest-MD2/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The Digest::MD2 module allows you to use the RSA Data Security Inc.
MD2 Message Digest algorithm from within Perl programs. The algorithm
takes as input a message of arbitrary length and produces as output a
128-bit "fingerprint" or "message digest" of the input. The algorithm
is described in RFC 1319.

%description -l pl.UTF-8
Moduł Digest::MD2 pozwala na używanie algorytmu skrótu MD2 firmy RSA
Data Security Inc. w programach perlowych. Algorytm przyjmuje na
wejściu tekst o dowolnej długości, a produkuje na wyjściu 128-bitowy
"odcisk palca" lub "skrót" informacji wejściowej. Algorytm jest
opisany w RFC 1319.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorarch}/Digest/MD2.pm
%dir %{perl_vendorarch}/auto/Digest/MD2
%attr(755,root,root) %{perl_vendorarch}/auto/Digest/MD2/MD2.so
%{_mandir}/man3/*
%changelog
* Thu Feb 26 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Digest-MD2.git;a=log;h=master

* Thu Feb 26 2015 Jan Rękorajski <baggins@pld-linux.org> 7545de1
- x32 rebuild
- release 10 (by relup.sh)

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> e166510
- release 9 (by relup.sh)

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 0e1ca7f
- removed zero-sized .bs file

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 4f2c87f
- rebuild for perl 5.20
- release 8 (by relup.sh)

* Sat Jun 08 2013 Jan Rękorajski <baggins@pld-linux.org> de99378
- rebuild with perl 5.18.0
- release 7 (by relup.sh)

* Tue Oct 04 2011 lisu <lisu@pld-linux.org> f12a39e
- rel 6

* Fri Nov 12 2010 pawelz <pawelz@pld-linux.org> 10a0a99
- release 5

* Sun Jun 06 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> e5180f1
- release 4

* Sat Mar 14 2009 hawk <hawk@pld-linux.org> 93f5acd
- release 3

* Sun Mar 23 2008 Jakub Bogusz <qboosh@pld-linux.org> 0b6413b
- generic URL

* Sun Feb 10 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 6feccd4
- rel 2

* Thu Jan 10 2008 Elan Ruusamäe <glen@pld-linux.org> d6e7aa0
- add CC to %{__make}
  grep OPTIMIZE= perl-* -l|xargs grep -c CC=|grep :0|cut -d: -f1|xargs sed -i -e '/%{__make} \\$/a\\tCC="%{__cc}" \\'

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 6365539
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 85e69b4
- converted to UTF-8

* Wed Nov 03 2004 paladine <paladine@pld-linux.org> e9948a5
- formatting

* Sat Jun 05 2004 radek <radek@pld-linux.org> a3a4755
- cosmetic unification: s/^%define\s+(pdir|pnam)\s+/%define\t$1\t/

* Thu May 06 2004 ankry <ankry@pld-linux.org> 5c1537a
- fixed perl-devel BR

* Tue Apr 20 2004 ankry <ankry@pld-linux.org> 1ef924b
- better summary/description, license fixes and unification

* Wed Apr 14 2004 ankry <ankry@pld-linux.org> a7ae7ca
- cosmetics

* Fri Oct 31 2003 Jakub Bogusz <qboosh@pld-linux.org> c155711
- updated to 2.03, added tests

